libgimpprint API Reference: escp2-channels.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/escp2-channels.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "print-escp2.h"`

Go to the source code of this file.

## Defines
#define | DECLARE_INK_CHANNEL(name)
#define | DECLARE_CHANNEL_SET(name)
#define | DECLARE_INKLIST(tname, name, inks, text, papers, adjustments, shades)
#define | DECLARE_INKGROUP(name)
## Functions
| DECLARE_INK_CHANNEL (standard_black)
| DECLARE_INK_CHANNEL (x80_black)
| DECLARE_INK_CHANNEL (c80_black)
| DECLARE_INK_CHANNEL (c64_black)
| DECLARE_INK_CHANNEL (standard_cyan)
| DECLARE_INK_CHANNEL (f360_standard_cyan)
| DECLARE_INK_CHANNEL (x80_cyan)
| DECLARE_INK_CHANNEL (c80_cyan)
| DECLARE_INK_CHANNEL (c64_cyan)
| DECLARE_INK_CHANNEL (standard_magenta)
| DECLARE_INK_CHANNEL (f360_standard_magenta)
| DECLARE_INK_CHANNEL (x80_magenta)
| DECLARE_INK_CHANNEL (c80_magenta)
| DECLARE_INK_CHANNEL (c64_magenta)
| DECLARE_INK_CHANNEL (standard_yellow)
| DECLARE_INK_CHANNEL (x80_yellow)
| DECLARE_INK_CHANNEL (c80_yellow)
| DECLARE_INK_CHANNEL (c64_yellow)
| DECLARE_INK_CHANNEL (f360_standard_yellow)
| DECLARE_INK_CHANNEL (standard_red)
| DECLARE_INK_CHANNEL (standard_blue)
| DECLARE_INK_CHANNEL (standard_gloss)
| DECLARE_INK_CHANNEL (standard_photo_black)
| DECLARE_INK_CHANNEL (photo_black)
| DECLARE_INK_CHANNEL (f360_photo_black)
| DECLARE_INK_CHANNEL (extended_black)
| DECLARE_INK_CHANNEL (photo_cyan)
| DECLARE_INK_CHANNEL (extended_cyan)
| DECLARE_INK_CHANNEL (photo_magenta)
| DECLARE_INK_CHANNEL (extended_magenta)
| DECLARE_INK_CHANNEL (photo_yellow)
| DECLARE_INK_CHANNEL (f360_photo_yellow)
| DECLARE_INK_CHANNEL (j_extended_yellow)
| DECLARE_INK_CHANNEL (photo2_yellow)
| DECLARE_INK_CHANNEL (f360_photo2_yellow)
| DECLARE_INK_CHANNEL (photo2_black)
| DECLARE_INK_CHANNEL (f360_photo2_black)
| DECLARE_INK_CHANNEL (quadtone)
| DECLARE_INK_CHANNEL (c80_quadtone)
| DECLARE_INK_CHANNEL (c64_quadtone)
| DECLARE_INK_CHANNEL (f360_photo_cyan)
| DECLARE_INK_CHANNEL (f360_photo_magenta)
| DECLARE_CHANNEL_SET (standard_black)
| DECLARE_CHANNEL_SET (standard_photo_black)
| DECLARE_CHANNEL_SET (standard_gloss_black)
| DECLARE_CHANNEL_SET (standard_photo_gloss_black)
| DECLARE_CHANNEL_SET (photo2_black)
| DECLARE_CHANNEL_SET (f360_photo2_black)
| DECLARE_CHANNEL_SET (quadtone)
| DECLARE_CHANNEL_SET (c80_quadtone)
| DECLARE_CHANNEL_SET (c64_quadtone)
| DECLARE_CHANNEL_SET (standard_cmy)
| DECLARE_CHANNEL_SET (x80_cmy)
| DECLARE_CHANNEL_SET (c80_cmy)
| DECLARE_CHANNEL_SET (c64_cmy)
| DECLARE_CHANNEL_SET (standard_gloss_cmy)
| DECLARE_CHANNEL_SET (photo_cmyk)
| DECLARE_CHANNEL_SET (gloss_cmyk)
| DECLARE_CHANNEL_SET (photo_gloss_cmyk)
| DECLARE_CHANNEL_SET (f360_cmyk)
| DECLARE_CHANNEL_SET (photo_composite)
| DECLARE_CHANNEL_SET (f360_photo_composite)
| DECLARE_CHANNEL_SET (photoj_composite)
| DECLARE_CHANNEL_SET (f360_photoj_composite)
| DECLARE_CHANNEL_SET (one_color_extended)
| DECLARE_CHANNEL_SET (two_color_extended)
| DECLARE_CHANNEL_SET (f360_two_color_extended)
| DECLARE_CHANNEL_SET (standard_three_color_extended)
| DECLARE_CHANNEL_SET (x80_three_color_extended)
| DECLARE_CHANNEL_SET (c80_three_color_extended)
| DECLARE_CHANNEL_SET (c64_three_color_extended)
| DECLARE_CHANNEL_SET (five_color_extended)
| DECLARE_CHANNEL_SET (f360_five_color_extended)
| DECLARE_CHANNEL_SET (six_color_extended)
| DECLARE_CHANNEL_SET (f360_six_color_extended)
| DECLARE_CHANNEL_SET (j_seven_color_extended)
| DECLARE_CHANNEL_SET (seven_color_extended)
| DECLARE_CHANNEL_SET (f360_seven_color_extended)
| DECLARE_INKLIST ("None", cmy, cmy, N_("EPSON Standard Inks"), standard, standard, standard)
| DECLARE_INKLIST ("None", standard, standard, N_("EPSON Standard Inks"), standard, standard, standard)
| DECLARE_INKLIST ("quadtone", quadtone, quadtone, N_("Quadtone"), standard, standard, quadtone)
| DECLARE_INKLIST ("None", c80, c80, N_("EPSON Standard Inks"), durabrite, durabrite, standard)
| DECLARE_INKLIST ("Quadtone", c80_quadtone, c80_quadtone, N_("Quadtone"), standard, standard, quadtone)
| DECLARE_INKLIST ("None", c64, c64, N_("EPSON Standard Inks"), durabrite, durabrite, standard)
| DECLARE_INKLIST ("Quadtone", c64_quadtone, c64_quadtone, N_("Quadtone"), standard, standard, quadtone)
| DECLARE_INKLIST ("None", x80, x80, N_("EPSON Standard Inks"), standard, standard, standard)
| DECLARE_INKLIST ("None", gen1, photo, N_("EPSON Standard Inks"), standard, photo, photo_gen1)
| DECLARE_INKLIST ("None", photo_gen2, photo, N_("EPSON Standard Inks"), standard, photo2, photo_gen2)
| DECLARE_INKLIST ("None", photo_gen3, photo, N_("EPSON Standard Inks"), standard, photo3, photo_gen3)
| DECLARE_INKLIST ("None", pigment, photo, N_("EPSON Standard Inks"), ultrachrome, ultrachrome_photo, stp2000)
| DECLARE_INKLIST ("None", f360_photo, f360_photo, N_("EPSON Standard Inks"), standard, sp960, esp960)
| DECLARE_INKLIST ("ultraphoto", f360_ultra_photo7, f360_photo7, N_("UltraChrome Photo Black"), ultrachrome, ultrachrome_photo, ultrachrome_photo)
| DECLARE_INKLIST ("ultramatte", f360_ultra_matte7, f360_photo7, N_("UltraChrome Matte Black"), ultrachrome, ultrachrome_matte, ultrachrome_matte)
| DECLARE_INKLIST ("ultraphoto", ultra_photo7, photo7, N_("UltraChrome Photo Black"), ultrachrome, ultrachrome_photo, ultrachrome_photo)
| DECLARE_INKLIST ("ultramatte", ultra_matte7, photo7, N_("UltraChrome Matte Black"), ultrachrome, ultrachrome_matte, ultrachrome_matte)
| DECLARE_INKLIST ("cmykrbmatte", cmykrb_matte, cmykrb_matte, N_("Matte Black"), standard, standard, standard)
| DECLARE_INKLIST ("cmykrbphoto", cmykrb_photo, cmykrb_photo, N_("Photo Black"), standard, standard, standard)
| DECLARE_INKGROUP (cmy)
| DECLARE_INKGROUP (standard)
| DECLARE_INKGROUP (c80)
| DECLARE_INKGROUP (c64)
| DECLARE_INKGROUP (x80)
| DECLARE_INKGROUP (photo_gen1)
| DECLARE_INKGROUP (photo_gen2)
| DECLARE_INKGROUP (photo_gen3)
| DECLARE_INKGROUP (photo_pigment)
| DECLARE_INKGROUP (f360_photo)
| DECLARE_INKGROUP (f360_ultrachrome)
| DECLARE_INKGROUP (ultrachrome)
## Variables
const physical_subchannel_t | standard_black_subchannels []
const physical_subchannel_t | x80_black_subchannels []
const physical_subchannel_t | c80_black_subchannels []
const physical_subchannel_t | c64_black_subchannels []
const physical_subchannel_t | standard_cyan_subchannels []
const physical_subchannel_t | f360_standard_cyan_subchannels []
const physical_subchannel_t | x80_cyan_subchannels []
const physical_subchannel_t | c80_cyan_subchannels []
const physical_subchannel_t | c64_cyan_subchannels []
const physical_subchannel_t | standard_magenta_subchannels []
const physical_subchannel_t | f360_standard_magenta_subchannels []
const physical_subchannel_t | x80_magenta_subchannels []
const physical_subchannel_t | c80_magenta_subchannels []
const physical_subchannel_t | c64_magenta_subchannels []
const physical_subchannel_t | standard_yellow_subchannels []
const physical_subchannel_t | x80_yellow_subchannels []
const physical_subchannel_t | c80_yellow_subchannels []
const physical_subchannel_t | c64_yellow_subchannels []
const physical_subchannel_t | f360_standard_yellow_subchannels []
const physical_subchannel_t | standard_red_subchannels []
const physical_subchannel_t | standard_blue_subchannels []
const physical_subchannel_t | standard_gloss_subchannels []
const physical_subchannel_t | standard_photo_black_subchannels []
const physical_subchannel_t | photo_black_subchannels []
const physical_subchannel_t | f360_photo_black_subchannels []
const physical_subchannel_t | extended_black_subchannels []
const physical_subchannel_t | photo_cyan_subchannels []
const physical_subchannel_t | extended_cyan_subchannels []
const physical_subchannel_t | photo_magenta_subchannels []
const physical_subchannel_t | extended_magenta_subchannels []
const physical_subchannel_t | photo_yellow_subchannels []
const physical_subchannel_t | f360_photo_yellow_subchannels []
const physical_subchannel_t | j_extended_yellow_subchannels []
const physical_subchannel_t | photo2_yellow_subchannels []
const physical_subchannel_t | f360_photo2_yellow_subchannels []
const physical_subchannel_t | photo2_black_subchannels []
const physical_subchannel_t | f360_photo2_black_subchannels []
const physical_subchannel_t | quadtone_subchannels []
const physical_subchannel_t | c80_quadtone_subchannels []
const physical_subchannel_t | c64_quadtone_subchannels []
const physical_subchannel_t | f360_photo_cyan_subchannels []
const physical_subchannel_t | f360_photo_magenta_subchannels []
const ink_channel_t *const | standard_black_channels []
const escp2_inkname_t | stpi_escp2_default_black_inkset
const ink_channel_t *const | standard_photo_black_channels []
const escp2_inkname_t | stpi_escp2_default_photo_black_inkset
const ink_channel_t *const | standard_gloss_black_channels []
const escp2_inkname_t | stpi_escp2_default_gloss_black_inkset
const ink_channel_t *const | standard_photo_gloss_black_channels []
const escp2_inkname_t | stpi_escp2_default_photo_gloss_black_inkset
const ink_channel_t *const | photo2_black_channels []
const escp2_inkname_t | two_color_grayscale_inkset
const ink_channel_t *const | f360_photo2_black_channels []
const escp2_inkname_t | f360_two_color_grayscale_inkset
const ink_channel_t *const | quadtone_channels []
const escp2_inkname_t | generic_quadtone_inkset
const ink_channel_t *const | c80_quadtone_channels []
const escp2_inkname_t | c80_generic_quadtone_inkset
const ink_channel_t *const | c64_quadtone_channels []
const escp2_inkname_t | c64_generic_quadtone_inkset
const ink_channel_t *const | standard_cmy_channels []
const escp2_inkname_t | three_color_composite_inkset
const ink_channel_t *const | x80_cmy_channels []
const escp2_inkname_t | x80_three_color_composite_inkset
const ink_channel_t *const | c80_cmy_channels []
const escp2_inkname_t | c80_three_color_composite_inkset
const ink_channel_t *const | c64_cmy_channels []
const escp2_inkname_t | c64_three_color_composite_inkset
const ink_channel_t *const | standard_gloss_cmy_channels []
const escp2_inkname_t | three_color_composite_gloss_inkset
const ink_channel_t *const | standard_cmyk_channels []
const escp2_inkname_t | four_color_standard_inkset
const ink_channel_t *const | photo_cmyk_channels []
const escp2_inkname_t | four_color_photo_inkset
const ink_channel_t *const | gloss_cmyk_channels []
const escp2_inkname_t | four_color_gloss_inkset
const ink_channel_t *const | photo_gloss_cmyk_channels []
const escp2_inkname_t | four_color_photo_gloss_inkset
const ink_channel_t *const | x80_cmyk_channels []
const escp2_inkname_t | x80_four_color_standard_inkset
const ink_channel_t *const | c80_cmyk_channels []
const escp2_inkname_t | c80_four_color_standard_inkset
const ink_channel_t *const | c64_cmyk_channels []
const escp2_inkname_t | c64_four_color_standard_inkset
const ink_channel_t *const | f360_cmyk_channels []
const escp2_inkname_t | f360_four_color_standard_inkset
const ink_channel_t *const | photo_composite_channels []
const escp2_inkname_t | five_color_photo_composite_inkset
const ink_channel_t *const | f360_photo_composite_channels []
const escp2_inkname_t | f360_five_color_photo_composite_inkset
const ink_channel_t *const | photo_channels []
const escp2_inkname_t | six_color_photo_inkset
const ink_channel_t *const | f360_photo_channels []
const escp2_inkname_t | f360_six_color_photo_inkset
const ink_channel_t *const | photoj_composite_channels []
const escp2_inkname_t | j_six_color_enhanced_composite_inkset
const ink_channel_t *const | f360_photoj_composite_channels []
const escp2_inkname_t | f360_j_six_color_enhanced_composite_inkset
const ink_channel_t *const | photo2_channels []
const escp2_inkname_t | seven_color_enhanced_inkset
const ink_channel_t *const | f360_photo2_channels []
const escp2_inkname_t | f360_seven_color_enhanced_inkset
const ink_channel_t *const | photoj_channels []
const escp2_inkname_t | j_seven_color_enhanced_inkset
const ink_channel_t *const | f360_photoj_channels []
const escp2_inkname_t | f360_j_seven_color_enhanced_inkset
const ink_channel_t *const | standard_cmykrb_channels []
const escp2_inkname_t | standard_cmykrb_inkset
const ink_channel_t *const | photo_cmykrb_channels []
const escp2_inkname_t | photo_cmykrb_inkset
const ink_channel_t *const | gloss_cmykrb_channels []
const escp2_inkname_t | gloss_cmykrb_inkset
const ink_channel_t *const | photo_gloss_cmykrb_channels []
const escp2_inkname_t | photo_gloss_cmykrb_inkset
const ink_channel_t *const | one_color_extended_channels []
const escp2_inkname_t | one_color_extended_inkset
const escp2_inkname_t | one_color_photo_extended_inkset
const escp2_inkname_t | one_color_extended_gloss_inkset
const escp2_inkname_t | one_color_photo_extended_gloss_inkset
const ink_channel_t *const | two_color_extended_channels []
const escp2_inkname_t | two_color_extended_inkset
const ink_channel_t *const | f360_two_color_extended_channels []
const escp2_inkname_t | f360_two_color_extended_inkset
const ink_channel_t *const | standard_three_color_extended_channels []
const escp2_inkname_t | three_color_extended_inkset
const ink_channel_t *const | x80_three_color_extended_channels []
const escp2_inkname_t | x80_three_color_extended_inkset
const ink_channel_t *const | c80_three_color_extended_channels []
const escp2_inkname_t | c80_three_color_extended_inkset
const ink_channel_t *const | c64_three_color_extended_channels []
const escp2_inkname_t | c64_three_color_extended_inkset
const escp2_inkname_t | four_color_extended_inkset
const escp2_inkname_t | four_color_photo_extended_inkset
const escp2_inkname_t | x80_four_color_extended_inkset
const escp2_inkname_t | c80_four_color_extended_inkset
const escp2_inkname_t | c64_four_color_extended_inkset
const escp2_inkname_t | f360_four_color_extended_inkset
const escp2_inkname_t | four_color_gloss_extended_inkset
const escp2_inkname_t | four_color_photo_gloss_extended_inkset
const ink_channel_t *const | five_color_extended_channels []
const escp2_inkname_t | five_color_extended_inkset
const ink_channel_t *const | f360_five_color_extended_channels []
const escp2_inkname_t | f360_five_color_extended_inkset
const ink_channel_t *const | six_color_extended_channels []
const escp2_inkname_t | six_color_extended_inkset
const escp2_inkname_t | six_color_cmykrb_extended_inkset
const escp2_inkname_t | six_color_cmykrb_photo_extended_inkset
const ink_channel_t *const | f360_six_color_extended_channels []
const escp2_inkname_t | f360_six_color_extended_inkset
const escp2_inkname_t | six_color_cmykrb_gloss_extended_inkset
const escp2_inkname_t | six_color_cmykrb_photo_gloss_extended_inkset
const ink_channel_t *const | j_seven_color_extended_channels []
const escp2_inkname_t | j_seven_color_extended_inkset
const ink_channel_t *const | seven_color_extended_channels []
const escp2_inkname_t | seven_color_extended_inkset
const ink_channel_t *const | f360_seven_color_extended_channels []
const escp2_inkname_t | f360_seven_color_extended_inkset
const ink_channel_t *const | gloss_cmykprb_extended_channels []
const escp2_inkname_t | seven_color_cmykprb_gloss_extended_inkset
const shade_set_t | standard_shades
const shade_set_t | photo_gen1_shades
const shade_set_t | photo_gen2_shades
const shade_set_t | photo_gen3_shades
const shade_set_t | esp960_shades
const shade_set_t | stp2000_shades
const shade_set_t | ultrachrome_photo_shades
const shade_set_t | ultrachrome_matte_shades
const shade_set_t | quadtone_shades
const escp2_inkname_t *const | cmy_ink_types []
const escp2_inkname_t *const | standard_ink_types []
const escp2_inkname_t *const | quadtone_ink_types []
const escp2_inkname_t *const | c80_ink_types []
const escp2_inkname_t *const | c80_quadtone_ink_types []
const escp2_inkname_t *const | c64_ink_types []
const escp2_inkname_t *const | c64_quadtone_ink_types []
const escp2_inkname_t *const | x80_ink_types []
const escp2_inkname_t *const | photo_ink_types []
const escp2_inkname_t *const | f360_photo_ink_types []
const escp2_inkname_t *const | f360_photo7_japan_ink_types []
const escp2_inkname_t *const | f360_photo7_ink_types []
const escp2_inkname_t *const | photo7_ink_types []
const escp2_inkname_t *const | cmykrb_matte_ink_types []
const escp2_inkname_t *const | cmykrb_photo_ink_types []
const inklist_t *const | cmy_group []
const inklist_t *const | standard_group []
const inklist_t *const | c80_group []
const inklist_t *const | c64_group []
const inklist_t *const | x80_group []
const inklist_t *const | photo_gen1_group []
const inklist_t *const | photo_gen2_group []
const inklist_t *const | photo_gen3_group []
const inklist_t *const | photo_pigment_group []
const inklist_t *const | f360_photo_group []
const inklist_t *const | f360_photo7_japan_group []
const inklist_t *const | f360_ultrachrome_group []
const inklist_t *const | ultrachrome_group []
const inklist_t *const | cmykrb_group []

## Define Documentation

#define DECLARE_CHANNEL_SET | ( | name |  | ) |

| Value:
    static const channel_set_t name##_channel_set =         \
    {                                                       \
      #name " channel set",                                 \
      name##_channels,                                      \
      sizeof(name##_channels) / sizeof(ink_channel_t *),    \
    }
Definition at line 354 of file escp2-channels.c.

#define DECLARE_INK_CHANNEL | ( | name |  | ) |

| Value:
    static const ink_channel_t name##_channel =                     \
    {                                                               \
      #name,                                                        \
      name##_subchannels,                                           \
      sizeof(name##_subchannels) / sizeof(physical_subchannel_t),   \
    }
Definition at line 33 of file escp2-channels.c.

#define DECLARE_INKGROUP | ( | name |  | ) |

| Value:
    const inkgroup_t stpi_escp2_##name##_inkgroup = \
    {                                               \
      #name,                                        \
      name##_group,                                 \
      sizeof(name##_group) / sizeof(inklist_t *),   \
    }
Definition at line 1634 of file escp2-channels.c.

#define DECLARE_INKLIST | ( | tname,
|  | name,
|  | inks,
|  | text,
|  | papers,
|  | adjustments,
|  | shades |  | ) |

| Value:
    static const inklist_t name##_inklist =                                       \
    {                                                                             \
      tname,                                                                      \
      text,                                                                       \
      inks##_ink_types,                                                           \
      &stpi_escp2_##papers##_paper_list,                                          \
      &stpi_escp2_##adjustments##_paper_adjustment_list,                          \
      &shades##_shades,                                                           \
      sizeof(inks##_ink_types) / sizeof(escp2_inkname_t *),                       \
    }
Definition at line 1388 of file escp2-channels.c.

## Function Documentation

DECLARE_CHANNEL_SET | ( | f360_seven_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | seven_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | j_seven_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | f360_six_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | six_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | f360_five_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | five_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | c64_three_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | c80_three_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | x80_three_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | standard_three_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | f360_two_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | two_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | one_color_extended |  | ) |

DECLARE_CHANNEL_SET | ( | f360_photoj_composite |  | ) |

DECLARE_CHANNEL_SET | ( | photoj_composite |  | ) |

DECLARE_CHANNEL_SET | ( | f360_photo_composite |  | ) |

DECLARE_CHANNEL_SET | ( | photo_composite |  | ) |

DECLARE_CHANNEL_SET | ( | f360_cmyk |  | ) |

DECLARE_CHANNEL_SET | ( | photo_gloss_cmyk |  | ) |

DECLARE_CHANNEL_SET | ( | gloss_cmyk |  | ) |

DECLARE_CHANNEL_SET | ( | photo_cmyk |  | ) |

DECLARE_CHANNEL_SET | ( | standard_gloss_cmy |  | ) |

DECLARE_CHANNEL_SET | ( | c64_cmy |  | ) |

DECLARE_CHANNEL_SET | ( | c80_cmy |  | ) |

DECLARE_CHANNEL_SET | ( | x80_cmy |  | ) |

DECLARE_CHANNEL_SET | ( | standard_cmy |  | ) |

DECLARE_CHANNEL_SET | ( | c64_quadtone |  | ) |

DECLARE_CHANNEL_SET | ( | c80_quadtone |  | ) |

DECLARE_CHANNEL_SET | ( | quadtone |  | ) |

DECLARE_CHANNEL_SET | ( | f360_photo2_black |  | ) |

DECLARE_CHANNEL_SET | ( | photo2_black |  | ) |

DECLARE_CHANNEL_SET | ( | standard_photo_gloss_black |  | ) |

DECLARE_CHANNEL_SET | ( | standard_gloss_black |  | ) |

DECLARE_CHANNEL_SET | ( | standard_photo_black |  | ) |

DECLARE_CHANNEL_SET | ( | standard_black |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | c64_quadtone |  | ) |

DECLARE_INK_CHANNEL | ( | c80_quadtone |  | ) |

DECLARE_INK_CHANNEL | ( | quadtone |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo2_black |  | ) |

DECLARE_INK_CHANNEL | ( | photo2_black |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo2_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | photo2_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | j_extended_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | photo_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | extended_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | photo_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | extended_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | photo_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | extended_black |  | ) |

DECLARE_INK_CHANNEL | ( | f360_photo_black |  | ) |

DECLARE_INK_CHANNEL | ( | photo_black |  | ) |

DECLARE_INK_CHANNEL | ( | standard_photo_black |  | ) |

DECLARE_INK_CHANNEL | ( | standard_gloss |  | ) |

DECLARE_INK_CHANNEL | ( | standard_blue |  | ) |

DECLARE_INK_CHANNEL | ( | standard_red |  | ) |

DECLARE_INK_CHANNEL | ( | f360_standard_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | c64_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | c80_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | x80_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | standard_yellow |  | ) |

DECLARE_INK_CHANNEL | ( | c64_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | c80_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | x80_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | f360_standard_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | standard_magenta |  | ) |

DECLARE_INK_CHANNEL | ( | c64_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | c80_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | x80_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | f360_standard_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | standard_cyan |  | ) |

DECLARE_INK_CHANNEL | ( | c64_black |  | ) |

DECLARE_INK_CHANNEL | ( | c80_black |  | ) |

DECLARE_INK_CHANNEL | ( | x80_black |  | ) |

DECLARE_INK_CHANNEL | ( | standard_black |  | ) |

DECLARE_INKGROUP | ( | ultrachrome |  | ) |

DECLARE_INKGROUP | ( | f360_ultrachrome |  | ) |

DECLARE_INKGROUP | ( | f360_photo |  | ) |

DECLARE_INKGROUP | ( | photo_pigment |  | ) |

DECLARE_INKGROUP | ( | photo_gen3 |  | ) |

DECLARE_INKGROUP | ( | photo_gen2 |  | ) |

DECLARE_INKGROUP | ( | photo_gen1 |  | ) |

DECLARE_INKGROUP | ( | x80 |  | ) |

DECLARE_INKGROUP | ( | c64 |  | ) |

DECLARE_INKGROUP | ( | c80 |  | ) |

DECLARE_INKGROUP | ( | standard |  | ) |

DECLARE_INKGROUP | ( | cmy |  | ) |

DECLARE_INKLIST | ( | "cmykrbphoto" | ,
|  | cmykrb_photo | ,
|  | cmykrb_photo | ,
|  | N_("Photo Black") | ,
|  | standard | ,
|  | standard | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "cmykrbmatte" | ,
|  | cmykrb_matte | ,
|  | cmykrb_matte | ,
|  | N_("Matte Black") | ,
|  | standard | ,
|  | standard | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "ultramatte" | ,
|  | ultra_matte7 | ,
|  | photo7 | ,
|  | N_("UltraChrome Matte Black") | ,
|  | ultrachrome | ,
|  | ultrachrome_matte | ,
|  | ultrachrome_matte |
| ) |

DECLARE_INKLIST | ( | "ultraphoto" | ,
|  | ultra_photo7 | ,
|  | photo7 | ,
|  | N_("UltraChrome Photo Black") | ,
|  | ultrachrome | ,
|  | ultrachrome_photo | ,
|  | ultrachrome_photo |
| ) |

DECLARE_INKLIST | ( | "ultramatte" | ,
|  | f360_ultra_matte7 | ,
|  | f360_photo7 | ,
|  | N_("UltraChrome Matte Black") | ,
|  | ultrachrome | ,
|  | ultrachrome_matte | ,
|  | ultrachrome_matte |
| ) |

DECLARE_INKLIST | ( | "ultraphoto" | ,
|  | f360_ultra_photo7 | ,
|  | f360_photo7 | ,
|  | N_("UltraChrome Photo Black") | ,
|  | ultrachrome | ,
|  | ultrachrome_photo | ,
|  | ultrachrome_photo |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | f360_photo | ,
|  | f360_photo | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | sp960 | ,
|  | esp960 |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | pigment | ,
|  | photo | ,
|  | N_("EPSON Standard Inks") | ,
|  | ultrachrome | ,
|  | ultrachrome_photo | ,
|  | stp2000 |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | photo_gen3 | ,
|  | photo | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | photo3 | ,
|  | photo_gen3 |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | photo_gen2 | ,
|  | photo | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | photo2 | ,
|  | photo_gen2 |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | gen1 | ,
|  | photo | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | photo | ,
|  | photo_gen1 |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | x80 | ,
|  | x80 | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | standard | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "Quadtone" | ,
|  | c64_quadtone | ,
|  | c64_quadtone | ,
|  | N_("Quadtone") | ,
|  | standard | ,
|  | standard | ,
|  | quadtone |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | c64 | ,
|  | c64 | ,
|  | N_("EPSON Standard Inks") | ,
|  | durabrite | ,
|  | durabrite | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "Quadtone" | ,
|  | c80_quadtone | ,
|  | c80_quadtone | ,
|  | N_("Quadtone") | ,
|  | standard | ,
|  | standard | ,
|  | quadtone |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | c80 | ,
|  | c80 | ,
|  | N_("EPSON Standard Inks") | ,
|  | durabrite | ,
|  | durabrite | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "quadtone" | ,
|  | quadtone | ,
|  | quadtone | ,
|  | N_("Quadtone") | ,
|  | standard | ,
|  | standard | ,
|  | quadtone |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | standard | ,
|  | standard | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | standard | ,
|  | standard |
| ) |

DECLARE_INKLIST | ( | "None" | ,
|  | cmy | ,
|  | cmy | ,
|  | N_("EPSON Standard Inks") | ,
|  | standard | ,
|  | standard | ,
|  | standard |
| ) |

## Variable Documentation

const physical_subchannel_t c64_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL }
    }
Definition at line 62 of file escp2-channels.c.

const ink_channel_t* const c64_cmy_channels[]`[static]`

| Initial value:
    {
      NULL, &c64_cyan_channel,
      &c64_magenta_channel, &c64_yellow_channel
    }
Definition at line 558 of file escp2-channels.c.

const ink_channel_t* const c64_cmyk_channels[]`[static]`

| Initial value:
    {
      &c64_black_channel, &c64_cyan_channel,
      &c64_magenta_channel, &c64_yellow_channel
    }
Definition at line 682 of file escp2-channels.c.

const physical_subchannel_t c64_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, -1, 0, "CyanDensity", NULL }
    }
Definition at line 97 of file escp2-channels.c.

const escp2_inkname_t c64_four_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &c64_cmyk_channel_set
    }
Definition at line 1107 of file escp2-channels.c.

const escp2_inkname_t c64_four_color_standard_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &c64_cmyk_channel_set
    }
Definition at line 690 of file escp2-channels.c.

const escp2_inkname_t c64_generic_quadtone_inkset`[static]`

| Initial value:
    {
      "Quadtone", N_("Quadtone"), INKSET_QUADTONE,
      &c64_quadtone_channel_set
    }
Definition at line 500 of file escp2-channels.c.

const inklist_t* const c64_group[]`[static]`

| Initial value:
    {
      &c64_inklist,
      &c64_quadtone_inklist
    }
Definition at line 1665 of file escp2-channels.c.

const escp2_inkname_t* const c64_ink_types[]`[static]`

| Initial value:
    {
      &c64_four_color_standard_inkset,
      &c64_three_color_composite_inkset,
      &one_color_extended_inkset,
      &c64_three_color_extended_inkset,
      &c64_four_color_extended_inkset,
    }
Definition at line 1450 of file escp2-channels.c.

const physical_subchannel_t c64_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, -1, 90, "MagentaDensity", NULL }
    }
Definition at line 132 of file escp2-channels.c.

const ink_channel_t* const c64_quadtone_channels[]`[static]`

| Initial value:
    {
      &c64_quadtone_channel
    }
Definition at line 493 of file escp2-channels.c.

const escp2_inkname_t* const c64_quadtone_ink_types[]`[static]`

| Initial value:
    {
      &c64_generic_quadtone_inkset,
    }
Definition at line 1462 of file escp2-channels.c.

const physical_subchannel_t c64_quadtone_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL },
      { 2, -1, 0, "BlackDensity", "Gray3Transition" },
      { 1, -1, 90, "BlackDensity", "Gray2Transition" },
      { 4, -1, 180, "BlackDensity", "Gray1Transition" },
    }
Definition at line 327 of file escp2-channels.c.

const escp2_inkname_t c64_three_color_composite_inkset`[static]`

| Initial value:
    {
      "RGB", N_("Three Color Composite"), INKSET_CMYK,
      &c64_cmy_channel_set
    }
Definition at line 566 of file escp2-channels.c.

const ink_channel_t* const c64_three_color_extended_channels[]`[static]`

| Initial value:
    {
      &c64_cyan_channel, &c64_magenta_channel, &c64_yellow_channel
    }
Definition at line 1069 of file escp2-channels.c.

const escp2_inkname_t c64_three_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMY", N_("Three Color Raw"), INKSET_EXTENDED,
      &c64_three_color_extended_channel_set
    }
Definition at line 1076 of file escp2-channels.c.

const physical_subchannel_t c64_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, -1, 180, "YellowDensity", NULL }
    }
Definition at line 160 of file escp2-channels.c.

const physical_subchannel_t c80_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL }
    }
Definition at line 55 of file escp2-channels.c.

const ink_channel_t* const c80_cmy_channels[]`[static]`

| Initial value:
    {
      NULL, &c80_cyan_channel,
      &c80_magenta_channel, &c80_yellow_channel
    }
Definition at line 544 of file escp2-channels.c.

const ink_channel_t* const c80_cmyk_channels[]`[static]`

| Initial value:
    {
      &c80_black_channel, &c80_cyan_channel,
      &c80_magenta_channel, &c80_yellow_channel
    }
Definition at line 668 of file escp2-channels.c.

const physical_subchannel_t c80_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, -1, 0, "CyanDensity", NULL }
    }
Definition at line 90 of file escp2-channels.c.

const escp2_inkname_t c80_four_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &c80_cmyk_channel_set
    }
Definition at line 1101 of file escp2-channels.c.

const escp2_inkname_t c80_four_color_standard_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &c80_cmyk_channel_set
    }
Definition at line 676 of file escp2-channels.c.

const escp2_inkname_t c80_generic_quadtone_inkset`[static]`

| Initial value:
    {
      "Quadtone", N_("Quadtone"), INKSET_QUADTONE,
      &c80_quadtone_channel_set
    }
Definition at line 487 of file escp2-channels.c.

const inklist_t* const c80_group[]`[static]`

| Initial value:
    {
      &c80_inklist,
      &c80_quadtone_inklist
    }
Definition at line 1657 of file escp2-channels.c.

const escp2_inkname_t* const c80_ink_types[]`[static]`

| Initial value:
    {
      &c80_four_color_standard_inkset,
      &c80_three_color_composite_inkset,
      &one_color_extended_inkset,
      &c80_three_color_extended_inkset,
      &c80_four_color_extended_inkset,
    }
Definition at line 1430 of file escp2-channels.c.

const physical_subchannel_t c80_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, -1, 120, "MagentaDensity", NULL }
    }
Definition at line 125 of file escp2-channels.c.

const ink_channel_t* const c80_quadtone_channels[]`[static]`

| Initial value:
    {
      &c80_quadtone_channel
    }
Definition at line 480 of file escp2-channels.c.

const escp2_inkname_t* const c80_quadtone_ink_types[]`[static]`

| Initial value:
    {
      &c80_generic_quadtone_inkset,
    }
Definition at line 1442 of file escp2-channels.c.

const physical_subchannel_t c80_quadtone_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL },
      { 2, -1, 0, "BlackDensity", "Gray3Transition" },
      { 1, -1, 120, "BlackDensity", "Gray2Transition" },
      { 4, -1, 240, "BlackDensity", "Gray1Transition" },
    }
Definition at line 317 of file escp2-channels.c.

const escp2_inkname_t c80_three_color_composite_inkset`[static]`

| Initial value:
    {
      "RGB", N_("Three Color Composite"), INKSET_CMYK,
      &c80_cmy_channel_set
    }
Definition at line 552 of file escp2-channels.c.

const ink_channel_t* const c80_three_color_extended_channels[]`[static]`

| Initial value:
    {
      &c80_cyan_channel, &c80_magenta_channel, &c80_yellow_channel
    }
Definition at line 1056 of file escp2-channels.c.

const escp2_inkname_t c80_three_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMY", N_("Three Color Raw"), INKSET_EXTENDED,
      &c80_three_color_extended_channel_set
    }
Definition at line 1063 of file escp2-channels.c.

const physical_subchannel_t c80_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, -1, 240, "YellowDensity", NULL }
    }
Definition at line 153 of file escp2-channels.c.

const inklist_t* const cmy_group[]`[static]`

| Initial value:
    {
      &cmy_inklist
    }
Definition at line 1642 of file escp2-channels.c.

const escp2_inkname_t* const cmy_ink_types[]`[static]`

| Initial value:
    {
      &three_color_composite_inkset
    }
Definition at line 1401 of file escp2-channels.c.

const inklist_t* const cmykrb_group[]`[static]`

| Initial value:
    {
      &cmykrb_matte_inklist,
      &cmykrb_photo_inklist
    }
Definition at line 1741 of file escp2-channels.c.

const escp2_inkname_t* const cmykrb_matte_ink_types[]`[static]`

| Initial value:
    {

      &standard_cmykrb_inkset,

      &four_color_standard_inkset,

      &three_color_composite_inkset,
      &one_color_extended_inkset,
      &one_color_extended_gloss_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
      &four_color_gloss_extended_inkset,
      &six_color_cmykrb_extended_inkset,
      &six_color_cmykrb_gloss_extended_inkset,
      &seven_color_cmykprb_gloss_extended_inkset
    }
Definition at line 1589 of file escp2-channels.c.

const escp2_inkname_t* const cmykrb_photo_ink_types[]`[static]`

| Initial value:
    {

      &photo_cmykrb_inkset,

      &four_color_photo_inkset,

      &three_color_composite_inkset,
      &one_color_photo_extended_inkset,
      &one_color_photo_extended_gloss_inkset,
      &three_color_extended_inkset,
      &four_color_photo_extended_inkset,
      &four_color_photo_gloss_extended_inkset,
      &six_color_cmykrb_photo_extended_inkset,
      &six_color_cmykrb_photo_gloss_extended_inkset,
      &seven_color_cmykprb_gloss_extended_inkset
    }
Definition at line 1611 of file escp2-channels.c.

const shade_set_t esp960_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 2, { 1.0, 0.316 }},
      { 2, { 1.0, 0.34 }},
      { 2, { 1.0, 0.5 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1328 of file escp2-channels.c.

const physical_subchannel_t extended_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 1, 0, "BlackDensity", NULL }
    }
Definition at line 216 of file escp2-channels.c.

const physical_subchannel_t extended_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, 1, 0, "CyanDensity", NULL }
    }
Definition at line 231 of file escp2-channels.c.

const physical_subchannel_t extended_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, 1, 0, "MagentaDensity", NULL }
    }
Definition at line 246 of file escp2-channels.c.

const ink_channel_t* const f360_cmyk_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &f360_standard_cyan_channel,
      &f360_standard_magenta_channel, &standard_yellow_channel
    }
Definition at line 696 of file escp2-channels.c.

const ink_channel_t* const f360_five_color_extended_channels[]`[static]`

| Initial value:
    {
      &f360_standard_cyan_channel, &extended_cyan_channel,
      &f360_standard_magenta_channel, &extended_magenta_channel,
      &f360_photo_yellow_channel
    }
Definition at line 1146 of file escp2-channels.c.

const escp2_inkname_t f360_five_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmY", N_("Five Color Raw"), INKSET_EXTENDED,
      &f360_five_color_extended_channel_set
    }
Definition at line 1154 of file escp2-channels.c.

const escp2_inkname_t f360_five_color_photo_composite_inkset`[static]`

| Initial value:
    {
      "PhotoCMY", N_("Five Color Photo Composite"), INKSET_CcMmYK,
      &f360_photo_composite_channel_set
    }
Definition at line 741 of file escp2-channels.c.

const escp2_inkname_t f360_four_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &f360_cmyk_channel_set
    }
Definition at line 1113 of file escp2-channels.c.

const escp2_inkname_t f360_four_color_standard_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &f360_cmyk_channel_set
    }
Definition at line 704 of file escp2-channels.c.

const escp2_inkname_t f360_j_seven_color_enhanced_inkset`[static]`

| Initial value:
    {
      "Photo7J", N_("Seven Color Photo"), INKSET_CcMmYKk,
      &f360_photoj_channel_set
    }
Definition at line 888 of file escp2-channels.c.

const escp2_inkname_t f360_j_six_color_enhanced_composite_inkset`[static]`

| Initial value:
    {
      "PhotoEnhanceJ", N_("Six Color Enhanced Composite"), INKSET_CcMmYyK,
      &f360_photoj_composite_channel_set
    }
Definition at line 815 of file escp2-channels.c.

const ink_channel_t* const f360_photo2_black_channels[]`[static]`

| Initial value:
    {
      &f360_photo2_black_channel
    }
Definition at line 445 of file escp2-channels.c.

const physical_subchannel_t f360_photo2_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 0, 1, "BlackDensity", NULL },
      { 0, 1, 0, "BlackDensity", "GrayTransition" }
    }
Definition at line 299 of file escp2-channels.c.

const ink_channel_t* const f360_photo2_channels[]`[static]`

| Initial value:
    {
      &f360_photo2_black_channel, &f360_photo_cyan_channel,
      &f360_photo_magenta_channel, &f360_photo_yellow_channel
    }
Definition at line 844 of file escp2-channels.c.

const physical_subchannel_t f360_photo2_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, 2, 0, "YellowDensity", NULL },
      { 4, 0, 1, "YellowDensity", "DarkYellowTransition" }
    }
Definition at line 283 of file escp2-channels.c.

const escp2_inkname_t* const f360_photo7_ink_types[]`[static]`

| Initial value:
    {
      &f360_seven_color_enhanced_inkset,
      &f360_six_color_photo_inkset,
      &f360_five_color_photo_composite_inkset,
      &four_color_standard_inkset,
      &three_color_composite_inkset,
      &f360_two_color_grayscale_inkset,
      &one_color_extended_inkset,
      &f360_two_color_extended_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
      &f360_five_color_extended_inkset,
      &f360_six_color_extended_inkset,
      &f360_seven_color_extended_inkset,
    }
Definition at line 1539 of file escp2-channels.c.

const inklist_t* const f360_photo7_japan_group[]`[static]`

| Initial value:
    {
      &f360_photo7_japan_inklist
    }
Definition at line 1718 of file escp2-channels.c.

const escp2_inkname_t* const f360_photo7_japan_ink_types[]`[static]`

| Initial value:
    {
      &f360_j_seven_color_enhanced_inkset,
      &f360_j_six_color_enhanced_composite_inkset,
      &f360_six_color_photo_inkset,
      &f360_five_color_photo_composite_inkset,
      &four_color_standard_inkset,
      &three_color_composite_inkset,
      &one_color_extended_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
      &f360_five_color_extended_inkset,
      &f360_six_color_extended_inkset,
      &f360_seven_color_extended_inkset,
    }
Definition at line 1520 of file escp2-channels.c.

const physical_subchannel_t f360_photo_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 0, 0, "BlackDensity", NULL }
    }
Definition at line 209 of file escp2-channels.c.

const ink_channel_t* const f360_photo_channels[]`[static]`

| Initial value:
    {
      &f360_photo_black_channel, &f360_photo_cyan_channel,
      &f360_photo_magenta_channel, &f360_photo_yellow_channel
    }
Definition at line 770 of file escp2-channels.c.

const ink_channel_t* const f360_photo_composite_channels[]`[static]`

| Initial value:
    {
      NULL, &f360_photo_cyan_channel,
      &f360_photo_magenta_channel, &f360_photo_yellow_channel
    }
Definition at line 733 of file escp2-channels.c.

const physical_subchannel_t f360_photo_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, 0, 1, "CyanDensity", NULL },
      { 2, 1, 0, "CyanDensity", "LightCyanTransition" }
    }
Definition at line 337 of file escp2-channels.c.

const inklist_t* const f360_photo_group[]`[static]`

| Initial value:
    {
      &f360_photo_inklist
    }
Definition at line 1711 of file escp2-channels.c.

const escp2_inkname_t* const f360_photo_ink_types[]`[static]`

| Initial value:
    {
      &f360_six_color_photo_inkset,
      &f360_five_color_photo_composite_inkset,
      &f360_four_color_standard_inkset,
      &three_color_composite_inkset,
      &one_color_extended_inkset,
      &three_color_extended_inkset,
      &f360_four_color_extended_inkset,
      &f360_five_color_extended_inkset,
      &f360_six_color_extended_inkset,
    }
Definition at line 1504 of file escp2-channels.c.

const physical_subchannel_t f360_photo_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, 0, 1, "MagentaDensity", NULL },
      { 1, 1, 0, "MagentaDensity", "LightMagentaTransition" }
    }
Definition at line 345 of file escp2-channels.c.

const physical_subchannel_t f360_photo_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, 0, 1, "YellowDensity", NULL }
    }
Definition at line 260 of file escp2-channels.c.

const ink_channel_t* const f360_photoj_channels[]`[static]`

| Initial value:
    {
      &f360_photo_black_channel, &f360_photo_cyan_channel,
      &f360_photo_magenta_channel, &f360_photo2_yellow_channel
    }
Definition at line 880 of file escp2-channels.c.

const ink_channel_t* const f360_photoj_composite_channels[]`[static]`

| Initial value:
    {
      NULL, &f360_photo_cyan_channel,
      &f360_photo_magenta_channel, &f360_photo2_yellow_channel
    }
Definition at line 807 of file escp2-channels.c.

const escp2_inkname_t f360_seven_color_enhanced_inkset`[static]`

| Initial value:
    {
      "PhotoCMYK7", N_("Seven Color Photo"), INKSET_CcMmYKk,
      &f360_photo2_channel_set
    }
Definition at line 852 of file escp2-channels.c.

const ink_channel_t* const f360_seven_color_extended_channels[]`[static]`

| Initial value:
    {
      &f360_photo_black_channel, &extended_black_channel,
      &f360_standard_cyan_channel, &extended_cyan_channel,
      &f360_standard_magenta_channel, &extended_magenta_channel,
      &f360_photo_yellow_channel
    }
Definition at line 1246 of file escp2-channels.c.

const escp2_inkname_t f360_seven_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmYKk", N_("Seven Color Raw"), INKSET_EXTENDED,
      &f360_seven_color_extended_channel_set
    }
Definition at line 1255 of file escp2-channels.c.

const ink_channel_t* const f360_six_color_extended_channels[]`[static]`

| Initial value:
    {
      &f360_photo_black_channel,
      &f360_standard_cyan_channel, &extended_cyan_channel,
      &f360_standard_magenta_channel, &extended_magenta_channel,
      &f360_photo_yellow_channel
    }
Definition at line 1188 of file escp2-channels.c.

const escp2_inkname_t f360_six_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmYK", N_("Six Color Raw"), INKSET_EXTENDED,
      &f360_six_color_extended_channel_set
    }
Definition at line 1197 of file escp2-channels.c.

const escp2_inkname_t f360_six_color_photo_inkset`[static]`

| Initial value:
    {
      "PhotoCMYK", N_("Six Color Photo"), INKSET_CcMmYK,
      &f360_photo_channel_set
    }
Definition at line 778 of file escp2-channels.c.

const physical_subchannel_t f360_standard_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, -1, 1, "CyanDensity", NULL }
    }
Definition at line 76 of file escp2-channels.c.

const physical_subchannel_t f360_standard_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, -1, 1, "MagentaDensity", NULL }
    }
Definition at line 111 of file escp2-channels.c.

const physical_subchannel_t f360_standard_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, -1, 1, "YellowDensity", NULL }
    }
Definition at line 167 of file escp2-channels.c.

const ink_channel_t* const f360_two_color_extended_channels[]`[static]`

| Initial value:
    {
      &f360_photo_black_channel, &extended_black_channel
    }
Definition at line 1017 of file escp2-channels.c.

const escp2_inkname_t f360_two_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalBlack2", N_("Two Color Raw"), INKSET_EXTENDED,
      &f360_two_color_extended_channel_set
    }
Definition at line 1023 of file escp2-channels.c.

const escp2_inkname_t f360_two_color_grayscale_inkset`[static]`

| Initial value:
    {
      "Gray2", N_("Two Level Grayscale"), INKSET_CcMmYKk,
      &f360_photo2_black_channel_set
    }
Definition at line 452 of file escp2-channels.c.

const inklist_t* const f360_ultrachrome_group[]`[static]`

| Initial value:
    {
      &f360_ultra_photo7_inklist,
      &f360_ultra_matte7_inklist
    }
Definition at line 1725 of file escp2-channels.c.

const ink_channel_t* const five_color_extended_channels[]`[static]`

| Initial value:
    {
      &standard_cyan_channel, &extended_cyan_channel,
      &standard_magenta_channel, &extended_magenta_channel,
      &photo_yellow_channel
    }
Definition at line 1132 of file escp2-channels.c.

const escp2_inkname_t five_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmY", N_("Five Color Raw"), INKSET_EXTENDED,
      &five_color_extended_channel_set
    }
Definition at line 1140 of file escp2-channels.c.

const escp2_inkname_t five_color_photo_composite_inkset`[static]`

| Initial value:
    {
      "PhotoCMY", N_("Five Color Photo Composite"), INKSET_CcMmYK,
      &photo_composite_channel_set
    }
Definition at line 727 of file escp2-channels.c.

const escp2_inkname_t four_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &standard_cmyk_channel_set
    }
Definition at line 1083 of file escp2-channels.c.

const escp2_inkname_t four_color_gloss_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKGloss", N_("Four Color Raw Gloss"), INKSET_EXTENDED,
      &gloss_cmyk_channel_set
    }
Definition at line 1119 of file escp2-channels.c.

const escp2_inkname_t four_color_gloss_inkset`[static]`

| Initial value:
    {
      "CMYKG", N_("Four Color Standard Enhanced Gloss"), INKSET_CMYK,
      &gloss_cmyk_channel_set
    }
Definition at line 633 of file escp2-channels.c.

const escp2_inkname_t four_color_photo_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &photo_cmyk_channel_set
    }
Definition at line 1089 of file escp2-channels.c.

const escp2_inkname_t four_color_photo_gloss_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKGloss", N_("Four Color Raw Gloss"), INKSET_EXTENDED,
      &photo_gloss_cmyk_channel_set
    }
Definition at line 1125 of file escp2-channels.c.

const escp2_inkname_t four_color_photo_gloss_inkset`[static]`

| Initial value:
    {
      "CMYKG", N_("Four Color Standard Enhanced Gloss"), INKSET_CMYK,
      &photo_gloss_cmyk_channel_set
    }
Definition at line 648 of file escp2-channels.c.

const escp2_inkname_t four_color_photo_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &photo_cmyk_channel_set
    }
Definition at line 618 of file escp2-channels.c.

const escp2_inkname_t four_color_standard_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &standard_cmyk_channel_set
    }
Definition at line 604 of file escp2-channels.c.

const escp2_inkname_t generic_quadtone_inkset`[static]`

| Initial value:
    {
      "Quadtone", N_("Quadtone"), INKSET_QUADTONE,
      &quadtone_channel_set
    }
Definition at line 474 of file escp2-channels.c.

const ink_channel_t* const gloss_cmyk_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_gloss_channel
    }
Definition at line 624 of file escp2-channels.c.

const ink_channel_t* const gloss_cmykprb_extended_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_photo_black_channel,
      &standard_cyan_channel, &standard_magenta_channel,
      &standard_yellow_channel, &standard_red_channel,
      &standard_blue_channel, &standard_gloss_channel
    }
Definition at line 1262 of file escp2-channels.c.

const ink_channel_t* const gloss_cmykrb_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_red_channel, &standard_blue_channel,
      &standard_gloss_channel
    }
Definition at line 933 of file escp2-channels.c.

const escp2_inkname_t gloss_cmykrb_inkset`[static]`

| Initial value:
    {
      "CMYKRBG", N_("Six Color Photo Enhanced Gloss"), INKSET_CMYKRB,
      &gloss_cmykrb_channel_set
    }
Definition at line 943 of file escp2-channels.c.

const physical_subchannel_t j_extended_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, 2, 0, "YellowDensity", NULL }
    }
Definition at line 267 of file escp2-channels.c.

const escp2_inkname_t j_seven_color_enhanced_inkset`[static]`

| Initial value:
    {
      "Photo7J", N_("Seven Color Enhanced"), INKSET_CcMmYyK,
      &photoj_channel_set
    }
Definition at line 874 of file escp2-channels.c.

const ink_channel_t* const j_seven_color_extended_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel,
      &standard_cyan_channel, &extended_cyan_channel,
      &standard_magenta_channel, &extended_magenta_channel,
      &photo_yellow_channel, &j_extended_yellow_channel
    }
Definition at line 1216 of file escp2-channels.c.

const escp2_inkname_t j_seven_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmYyK", N_("Seven Color Raw"), INKSET_EXTENDED,
      &j_seven_color_extended_channel_set
    }
Definition at line 1225 of file escp2-channels.c.

const escp2_inkname_t j_six_color_enhanced_composite_inkset`[static]`

| Initial value:
    {
      "PhotoEnhanceJ", N_("Six Color Enhanced Composite"), INKSET_CcMmYyK,
      &photoj_composite_channel_set
    }
Definition at line 801 of file escp2-channels.c.

const ink_channel_t* const one_color_extended_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel
    }
Definition at line 974 of file escp2-channels.c.

const escp2_inkname_t one_color_extended_gloss_inkset`[static]`

| Initial value:
    {
      "PhysicalBlackGloss", N_("One Color Raw Enhanced Gloss"), INKSET_EXTENDED,
      &standard_gloss_black_channel_set
    }
Definition at line 992 of file escp2-channels.c.

const escp2_inkname_t one_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalBlack", N_("One Color Raw"), INKSET_EXTENDED,
      &one_color_extended_channel_set
    }
Definition at line 980 of file escp2-channels.c.

const escp2_inkname_t one_color_photo_extended_gloss_inkset`[static]`

| Initial value:
    {
      "PhysicalBlackGloss", N_("One Color Raw Enhanced Gloss"), INKSET_EXTENDED,
      &standard_photo_gloss_black_channel_set
    }
Definition at line 998 of file escp2-channels.c.

const escp2_inkname_t one_color_photo_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalBlack", N_("One Color Raw"), INKSET_EXTENDED,
      &standard_photo_black_channel_set
    }
Definition at line 986 of file escp2-channels.c.

const ink_channel_t* const photo2_black_channels[]`[static]`

| Initial value:
    {
      &photo2_black_channel
    }
Definition at line 432 of file escp2-channels.c.

const physical_subchannel_t photo2_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 0, 0, "BlackDensity", NULL },
      { 0, 1, 0, "BlackDensity", "GrayTransition" }
    }
Definition at line 291 of file escp2-channels.c.

const ink_channel_t* const photo2_channels[]`[static]`

| Initial value:
    {
      &photo2_black_channel, &photo_cyan_channel,
      &photo_magenta_channel, &photo_yellow_channel
    }
Definition at line 830 of file escp2-channels.c.

const physical_subchannel_t photo2_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, 2, 0, "YellowDensity", NULL },
      { 4, 0, 0, "YellowDensity", "DarkYellowTransition" }
    }
Definition at line 275 of file escp2-channels.c.

const escp2_inkname_t* const photo7_ink_types[]`[static]`

| Initial value:
    {
      &seven_color_enhanced_inkset,
      &six_color_photo_inkset,
      &five_color_photo_composite_inkset,
      &four_color_standard_inkset,
      &three_color_composite_inkset,
      &two_color_grayscale_inkset,
      &one_color_extended_inkset,
      &two_color_extended_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
      &five_color_extended_inkset,
      &six_color_extended_inkset,
      &seven_color_extended_inkset,
    }
Definition at line 1564 of file escp2-channels.c.

const physical_subchannel_t photo_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 0, 0, "BlackDensity", NULL }
    }
Definition at line 202 of file escp2-channels.c.

const ink_channel_t* const photo_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel, &photo_cyan_channel,
      &photo_magenta_channel, &photo_yellow_channel
    }
Definition at line 756 of file escp2-channels.c.

const ink_channel_t* const photo_cmyk_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel
    }
Definition at line 610 of file escp2-channels.c.

const ink_channel_t* const photo_cmykrb_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_red_channel, &standard_blue_channel
    }
Definition at line 918 of file escp2-channels.c.

const escp2_inkname_t photo_cmykrb_inkset`[static]`

| Initial value:
    {
      "CMYKRB", N_("Six Color Photo"), INKSET_CMYKRB,
      &photo_cmykrb_channel_set
    }
Definition at line 927 of file escp2-channels.c.

const ink_channel_t* const photo_composite_channels[]`[static]`

| Initial value:
    {
      NULL, &photo_cyan_channel,
      &photo_magenta_channel, &photo_yellow_channel
    }
Definition at line 719 of file escp2-channels.c.

const physical_subchannel_t photo_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, 0, 0, "CyanDensity", NULL },
      { 2, 1, 0, "CyanDensity", "LightCyanTransition" }
    }
Definition at line 223 of file escp2-channels.c.

const inklist_t* const photo_gen1_group[]`[static]`

| Initial value:
    {
      &gen1_inklist,
      &quadtone_inklist
    }
Definition at line 1680 of file escp2-channels.c.

const shade_set_t photo_gen1_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 2, { 1.0, 0.305 }},
      { 2, { 1.0, 0.315 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1292 of file escp2-channels.c.

const inklist_t* const photo_gen2_group[]`[static]`

| Initial value:
    {
      &photo_gen2_inklist,
      &quadtone_inklist
    }
Definition at line 1688 of file escp2-channels.c.

const shade_set_t photo_gen2_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 2, { 1.0, 0.29 }},
      { 2, { 1.0, 0.29 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1304 of file escp2-channels.c.

const inklist_t* const photo_gen3_group[]`[static]`

| Initial value:
    {
      &photo_gen3_inklist,
      &quadtone_inklist
    }
Definition at line 1696 of file escp2-channels.c.

const shade_set_t photo_gen3_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 2, { 1.0, 0.35 }},
      { 2, { 1.0, 0.35 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1316 of file escp2-channels.c.

const ink_channel_t* const photo_gloss_cmyk_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_gloss_channel
    }
Definition at line 639 of file escp2-channels.c.

const ink_channel_t* const photo_gloss_cmykrb_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_red_channel, &standard_blue_channel,
      &standard_gloss_channel
    }
Definition at line 949 of file escp2-channels.c.

const escp2_inkname_t photo_gloss_cmykrb_inkset`[static]`

| Initial value:
    {
      "CMYKRBG", N_("Six Color Photo Enhanced Gloss"), INKSET_CMYKRB,
      &photo_gloss_cmykrb_channel_set
    }
Definition at line 959 of file escp2-channels.c.

const escp2_inkname_t* const photo_ink_types[]`[static]`

| Initial value:
    {
      &six_color_photo_inkset,
      &five_color_photo_composite_inkset,
      &four_color_standard_inkset,
      &three_color_composite_inkset,
      &one_color_extended_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
      &five_color_extended_inkset,
      &six_color_extended_inkset,
    }
Definition at line 1482 of file escp2-channels.c.

const physical_subchannel_t photo_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, 0, 0, "MagentaDensity", NULL },
      { 1, 1, 0, "MagentaDensity", "LightMagentaTransition" }
    }
Definition at line 238 of file escp2-channels.c.

const inklist_t* const photo_pigment_group[]`[static]`

| Initial value:
    {
      &pigment_inklist
    }
Definition at line 1704 of file escp2-channels.c.

const physical_subchannel_t photo_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, 0, 0, "YellowDensity", NULL }
    }
Definition at line 253 of file escp2-channels.c.

const ink_channel_t* const photoj_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel, &photo_cyan_channel,
      &photo_magenta_channel, &photo2_yellow_channel
    }
Definition at line 866 of file escp2-channels.c.

const ink_channel_t* const photoj_composite_channels[]`[static]`

| Initial value:
    {
      NULL, &photo_cyan_channel,
      &photo_magenta_channel, &photo2_yellow_channel
    }
Definition at line 793 of file escp2-channels.c.

const ink_channel_t* const quadtone_channels[]`[static]`

| Initial value:
    {
      &quadtone_channel
    }
Definition at line 467 of file escp2-channels.c.

const escp2_inkname_t* const quadtone_ink_types[]`[static]`

| Initial value:
    {
      &generic_quadtone_inkset,
    }
Definition at line 1422 of file escp2-channels.c.

const shade_set_t quadtone_shades`[static]`

| Initial value:
    {
      { 4, { 1.0, 0.75, 0.5, 0.25 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1376 of file escp2-channels.c.

const physical_subchannel_t quadtone_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL },
      { 2, -1, 0, "BlackDensity", "Gray3Transition" },
      { 1, -1, 0, "BlackDensity", "Gray2Transition" },
      { 4, -1, 0, "BlackDensity", "Gray1Transition" },
    }
Definition at line 307 of file escp2-channels.c.

const escp2_inkname_t seven_color_cmykprb_gloss_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKPRB", N_("Seven Color Enhanced Gloss Raw"), INKSET_EXTENDED,
      &gloss_cmykprb_extended_channel_set
    }
Definition at line 1272 of file escp2-channels.c.

const escp2_inkname_t seven_color_enhanced_inkset`[static]`

| Initial value:
    {
      "PhotoCMYK7", N_("Seven Color Photo"), INKSET_CcMmYKk,
      &photo2_channel_set
    }
Definition at line 838 of file escp2-channels.c.

const ink_channel_t* const seven_color_extended_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel, &extended_black_channel,
      &standard_cyan_channel, &extended_cyan_channel,
      &standard_magenta_channel, &extended_magenta_channel,
      &photo_yellow_channel
    }
Definition at line 1231 of file escp2-channels.c.

const escp2_inkname_t seven_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmYKk", N_("Seven Color Raw"), INKSET_EXTENDED,
      &seven_color_extended_channel_set
    }
Definition at line 1240 of file escp2-channels.c.

const escp2_inkname_t six_color_cmykrb_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKRB", N_("Six Color Raw"), INKSET_EXTENDED,
      &standard_cmykrb_channel_set
    }
Definition at line 1176 of file escp2-channels.c.

const escp2_inkname_t six_color_cmykrb_gloss_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKRB", N_("Six Color Enhanced Gloss Raw"), INKSET_EXTENDED,
      &gloss_cmykrb_channel_set
    }
Definition at line 1204 of file escp2-channels.c.

const escp2_inkname_t six_color_cmykrb_photo_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKRB", N_("Six Color Raw"), INKSET_EXTENDED,
      &photo_cmykrb_channel_set
    }
Definition at line 1182 of file escp2-channels.c.

const escp2_inkname_t six_color_cmykrb_photo_gloss_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYKRB", N_("Six Color Enhanced Gloss Raw"), INKSET_EXTENDED,
      &photo_gloss_cmykrb_channel_set
    }
Definition at line 1210 of file escp2-channels.c.

const ink_channel_t* const six_color_extended_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel,
      &standard_cyan_channel, &extended_cyan_channel,
      &standard_magenta_channel, &extended_magenta_channel,
      &photo_yellow_channel
    }
Definition at line 1161 of file escp2-channels.c.

const escp2_inkname_t six_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCcMmYK", N_("Six Color Raw"), INKSET_EXTENDED,
      &six_color_extended_channel_set
    }
Definition at line 1170 of file escp2-channels.c.

const escp2_inkname_t six_color_photo_inkset`[static]`

| Initial value:
    {
      "PhotoCMYK", N_("Six Color Photo"), INKSET_CcMmYK,
      &photo_channel_set
    }
Definition at line 764 of file escp2-channels.c.

const ink_channel_t* const standard_black_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel
    }
Definition at line 371 of file escp2-channels.c.

const physical_subchannel_t standard_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 0, "BlackDensity", NULL }
    }
Definition at line 41 of file escp2-channels.c.

const physical_subchannel_t standard_blue_subchannels[]`[static]`

| Initial value:
    {
      { 8, -1, 0, "BlueDensity", NULL }
    }
Definition at line 181 of file escp2-channels.c.

const ink_channel_t* const standard_cmy_channels[]`[static]`

| Initial value:
    {
      NULL, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel
    }
Definition at line 516 of file escp2-channels.c.

const ink_channel_t* const standard_cmyk_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel
    }
Definition at line 596 of file escp2-channels.c.

const ink_channel_t* const standard_cmykrb_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_red_channel, &standard_blue_channel
    }
Definition at line 903 of file escp2-channels.c.

const escp2_inkname_t standard_cmykrb_inkset`[static]`

| Initial value:
    {
      "CMYKRB", N_("Six Color Photo"), INKSET_CMYKRB,
      &standard_cmykrb_channel_set
    }
Definition at line 912 of file escp2-channels.c.

const physical_subchannel_t standard_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, -1, 0, "CyanDensity", NULL }
    }
Definition at line 69 of file escp2-channels.c.

const ink_channel_t* const standard_gloss_black_channels[]`[static]`

| Initial value:
    {
      &standard_black_channel, &standard_gloss_channel
    }
Definition at line 397 of file escp2-channels.c.

const ink_channel_t* const standard_gloss_cmy_channels[]`[static]`

| Initial value:
    {
      NULL, &standard_cyan_channel,
      &standard_magenta_channel, &standard_yellow_channel,
      &standard_gloss_channel
    }
Definition at line 572 of file escp2-channels.c.

const physical_subchannel_t standard_gloss_subchannels[]`[static]`

| Initial value:
    {
      { 9, -1, 0, "GlossDensity", NULL }
    }
Definition at line 188 of file escp2-channels.c.

const inklist_t* const standard_group[]`[static]`

| Initial value:
    {
      &standard_inklist,
      &quadtone_inklist
    }
Definition at line 1649 of file escp2-channels.c.

const escp2_inkname_t* const standard_ink_types[]`[static]`

| Initial value:
    {
      &four_color_standard_inkset,
      &three_color_composite_inkset,
      &one_color_extended_inkset,
      &three_color_extended_inkset,
      &four_color_extended_inkset,
    }
Definition at line 1410 of file escp2-channels.c.

const physical_subchannel_t standard_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, -1, 0, "MagentaDensity", NULL }
    }
Definition at line 104 of file escp2-channels.c.

const ink_channel_t* const standard_photo_black_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel
    }
Definition at line 384 of file escp2-channels.c.

const physical_subchannel_t standard_photo_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, 4, 0, "PhotoBlackDensity", NULL }
    }
Definition at line 195 of file escp2-channels.c.

const ink_channel_t* const standard_photo_gloss_black_channels[]`[static]`

| Initial value:
    {
      &standard_photo_black_channel, &standard_gloss_channel
    }
Definition at line 410 of file escp2-channels.c.

const physical_subchannel_t standard_red_subchannels[]`[static]`

| Initial value:
    {
      { 7, -1, 0, "RedDensity", NULL }
    }
Definition at line 174 of file escp2-channels.c.

const shade_set_t standard_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1280 of file escp2-channels.c.

const ink_channel_t* const standard_three_color_extended_channels[]`[static]`

| Initial value:
    {
      &standard_cyan_channel, &standard_magenta_channel, &standard_yellow_channel
    }
Definition at line 1030 of file escp2-channels.c.

const physical_subchannel_t standard_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, -1, 0, "YellowDensity", NULL }
    }
Definition at line 139 of file escp2-channels.c.

const shade_set_t stp2000_shades`[static]`

| Initial value:
    {
      { 1, { 1.0 }},
      { 2, { 1.0, 0.227 }},
      { 2, { 1.0, 0.227 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1340 of file escp2-channels.c.

const escp2_inkname_t stpi_escp2_default_black_inkset

| Initial value:
    {
      "Gray", N_("Grayscale"), INKSET_CMYK,
      &standard_black_channel_set
    }
Definition at line 378 of file escp2-channels.c. Referenced by setup_head_parameters().

const escp2_inkname_t stpi_escp2_default_gloss_black_inkset

| Initial value:
    {
      "GrayG", N_("Grayscale Enhanced Gloss"), INKSET_CMYK,
      &standard_gloss_black_channel_set
    }
Definition at line 404 of file escp2-channels.c.

const escp2_inkname_t stpi_escp2_default_photo_black_inkset

| Initial value:
    {
      "Gray", N_("Grayscale"), INKSET_CMYK,
      &standard_photo_black_channel_set
    }
Definition at line 391 of file escp2-channels.c.

const escp2_inkname_t stpi_escp2_default_photo_gloss_black_inkset

| Initial value:
    {
      "GrayG", N_("Grayscale Enhanced Gloss"), INKSET_CMYK,
      &standard_photo_gloss_black_channel_set
    }
Definition at line 417 of file escp2-channels.c.

const escp2_inkname_t three_color_composite_gloss_inkset`[static]`

| Initial value:
    {
      "RGBG", N_("Three Color Composite Enhanced Gloss"), INKSET_CMYK,
      &standard_gloss_cmy_channel_set
    }
Definition at line 581 of file escp2-channels.c.

const escp2_inkname_t three_color_composite_inkset`[static]`

| Initial value:
    {
      "RGB", N_("Three Color Composite"), INKSET_CMYK,
      &standard_cmy_channel_set
    }
Definition at line 524 of file escp2-channels.c.

const escp2_inkname_t three_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMY", N_("Three Color Raw"), INKSET_EXTENDED,
      &standard_three_color_extended_channel_set
    }
Definition at line 1037 of file escp2-channels.c.

const ink_channel_t* const two_color_extended_channels[]`[static]`

| Initial value:
    {
      &photo_black_channel, &extended_black_channel
    }
Definition at line 1005 of file escp2-channels.c.

const escp2_inkname_t two_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalBlack2", N_("Two Color Raw"), INKSET_EXTENDED,
      &two_color_extended_channel_set
    }
Definition at line 1011 of file escp2-channels.c.

const escp2_inkname_t two_color_grayscale_inkset`[static]`

| Initial value:
    {
      "Gray2", N_("Two Level Grayscale"), INKSET_CcMmYKk,
      &photo2_black_channel_set
    }
Definition at line 439 of file escp2-channels.c.

const inklist_t* const ultrachrome_group[]`[static]`

| Initial value:
    {
      &ultra_photo7_inklist,
      &ultra_matte7_inklist
    }
Definition at line 1733 of file escp2-channels.c.

const shade_set_t ultrachrome_matte_shades`[static]`

| Initial value:
    {
      { 2, { 1.0, 0.33 }},
      { 2, { 1.0, 0.33 }},
      { 2, { 1.0, 0.25 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1364 of file escp2-channels.c.

const shade_set_t ultrachrome_photo_shades`[static]`

| Initial value:
    {
      { 2, { 1.0, 0.48 }},
      { 2, { 1.0, 0.33 }},
      { 2, { 1.0, 0.25 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
      { 1, { 1.0 }},
    }
Definition at line 1352 of file escp2-channels.c.

const physical_subchannel_t x80_black_subchannels[]`[static]`

| Initial value:
    {
      { 0, -1, 48, "BlackDensity", NULL }
    }
Definition at line 48 of file escp2-channels.c.

const ink_channel_t* const x80_cmy_channels[]`[static]`

| Initial value:
    {
      NULL, &x80_cyan_channel,
      &x80_magenta_channel, &x80_yellow_channel
    }
Definition at line 530 of file escp2-channels.c.

const ink_channel_t* const x80_cmyk_channels[]`[static]`

| Initial value:
    {
      &x80_black_channel, &x80_cyan_channel,
      &x80_magenta_channel, &x80_yellow_channel
    }
Definition at line 654 of file escp2-channels.c.

const physical_subchannel_t x80_cyan_subchannels[]`[static]`

| Initial value:
    {
      { 2, -1, 96, "CyanDensity", NULL }
    }
Definition at line 83 of file escp2-channels.c.

const escp2_inkname_t x80_four_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMYK", N_("Four Color Raw"), INKSET_EXTENDED,
      &x80_cmyk_channel_set
    }
Definition at line 1095 of file escp2-channels.c.

const escp2_inkname_t x80_four_color_standard_inkset`[static]`

| Initial value:
    {
      "CMYK", N_("Four Color Standard"), INKSET_CMYK,
      &x80_cmyk_channel_set
    }
Definition at line 662 of file escp2-channels.c.

const inklist_t* const x80_group[]`[static]`

| Initial value:
    {
      &x80_inklist
    }
Definition at line 1673 of file escp2-channels.c.

const escp2_inkname_t* const x80_ink_types[]`[static]`

| Initial value:
    {
      &x80_four_color_standard_inkset,
      &x80_three_color_composite_inkset,
      &one_color_extended_inkset,
      &x80_three_color_extended_inkset,
      &x80_four_color_extended_inkset,
    }
Definition at line 1470 of file escp2-channels.c.

const physical_subchannel_t x80_magenta_subchannels[]`[static]`

| Initial value:
    {
      { 1, -1, 48, "MagentaDensity", NULL }
    }
Definition at line 118 of file escp2-channels.c.

const escp2_inkname_t x80_three_color_composite_inkset`[static]`

| Initial value:
    {
      "RGB", N_("Three Color Composite"), INKSET_CMYK,
      &x80_cmy_channel_set
    }
Definition at line 538 of file escp2-channels.c.

const ink_channel_t* const x80_three_color_extended_channels[]`[static]`

| Initial value:
    {
      &x80_cyan_channel, &x80_magenta_channel, &x80_yellow_channel
    }
Definition at line 1043 of file escp2-channels.c.

const escp2_inkname_t x80_three_color_extended_inkset`[static]`

| Initial value:
    {
      "PhysicalCMY", N_("Three Color Raw"), INKSET_EXTENDED,
      &x80_three_color_extended_channel_set
    }
Definition at line 1050 of file escp2-channels.c.

const physical_subchannel_t x80_yellow_subchannels[]`[static]`

| Initial value:
    {
      { 4, -1, 0, "YellowDensity", NULL }
    }
Definition at line 146 of file escp2-channels.c.